import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
  },
  {
    label: 'ID',
    prop: 'id',
    fixed: 'left',
    width: 50,
  },
  {
    label: '模板名称',
    prop: 'title',
    minWidth: 200,
  },
  {
    label: '模板编码',
    prop: 'code',
    minWidth: 150,
  },
  {
    label: '模板类型',
    prop: 'type',
    minWidth: 100,
    render(record) {
      let typeText = '';
      switch (record.row.type) {
        case 1:
          typeText = '普通邮件';
          break;
        case 2:
          typeText = '图文邮件';
          break;
        case 3:
          typeText = '模板文件';
          break;
        default:
          break;
      }
      return h('span', typeText || '-');
    },
  },
  {
    label: '文件名称',
    prop: 'fileName',
    minWidth: 100,
  },
  {
    label: '文件路径',
    prop: 'filePath',
    minWidth: 150,
    render(record) {
      return h(
        'a',
        {
          href: record.row.filePath,
          target: '_blank',
        },
        '点击查看文件',
      );
    },
  },
  {
    label: '创建人',
    prop: 'createUser',
    minWidth: 100,
  },
  {
    label: '创建时间',
    prop: 'createTime',
    width: 180,
  },
];
